Bug 144132 - Crash when insert formula object in Writer
Summary: Crash when insert formula object in Writer
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.3.0.0 alpha0+ Master
Hardware: x86-64 (AMD64) Windows (All)
: highest critical
Assignee: Not Assigned
URL:
Whiteboard: target:7.3.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2021-08-27 16:37 UTC by Regina Henschel
Modified: 2021-09-23 13:31 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
MS VS call stack (1.83 KB, text/plain)
2021-08-27 16:37 UTC, Regina Henschel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2021-08-27 16:37:56 UTC
Created attachment 174584 [details]
MS VS call stack

Start Writer. Go to menu Insert > Object > Formula Object. ==> Crash.

Error message is
Exception thrown: read access violation.
pThis was 0xFFFFFFFFFFFFFFFF.


Crash is in
template <typename IMPL_RTL_STRINGDATA> void acquire(IMPL_RTL_STRINGDATA * pThis)
{
    if (!SAL_STRING_IS_STATIC (pThis))
        osl_atomic_increment( &((pThis)->refCount) );
}
in sal/rtl/strtmpl.hxx


I get the crash in my debug build
Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: bae2fbfd341b2cb5e5053c7977176f68b5d658dd
CPU threads: 8; OS: Windows 10.0 Build 19043; UI render: Skia/Raster; VCL: win
Locale: de-DE (en_US); UI: en-US
Calc: threaded

and in daily build
Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 3ee22d95d3e1e9ce1d2ff8311e51d600179370f9
CPU threads: 8; OS: Windows 10.0 Build 19043; UI render: Skia/Raster; VCL: win
Locale: de-DE (en_US); UI: en-US
Calc: CL

but not in released
Version: 7.1.5.2 (x64) / LibreOffice Community
Build ID: 85f04e9f809797b8199d13c421bd8a2b025d52b5
CPU threads: 8; OS: Windows 10.0 Build 19043; UI render: Skia/Raster; VCL: win
Locale: en-GB (en_US); UI: en-US
Calc: threaded
Comment 1 Roman Kuznetsov 2021-08-28 17:26:05 UTC
Confirm in 7.3 but no repro in 7.2 => regression

I bisected it in win64-7.3 bisect repo and got

https://git.libreoffice.org/core/commit/ec01d43e0a8fa560d7cd8c76c0d609b18a60cddb

https://gerrit.libreoffice.org/c/core/+/119331

Added to CC: Noel Grandin
Comment 2 Xisco Faulí 2021-09-02 14:23:45 UTC
Not reproducible in

Version: 7.3.0.0.alpha0+ / LibreOffice Community
Build ID: 3ee22d95d3e1e9ce1d2ff8311e51d600179370f9
CPU threads: 4; OS: Linux 5.10; UI render: default; VCL: x11
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 3 Xisco Faulí 2021-09-22 14:31:39 UTC
Still reproducible in

Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 41ccb5c63c94e54b07707eca62bed761c87b0d10
CPU threads: 16; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: en-GB (en_GB); UI: en-US
Calc: threaded
Comment 4 Commit Notification 2021-09-23 12:58:06 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/33584bc189235b2e0f263cade9f9d759d29448c9

tdf#144132 Crash when insert formula object in Writer

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.